Update image metadata

Replace the metadata for an existing image.
PUT
/accounts/{accountID}/images/{imageID}/metadata
cURL .NET Java Ruby TypeScript PHP Python
curl -X PUT "https://api.moov.io/accounts/{accountID}/images/{imageID}/metadata" \
  -H "Authorization: Bearer {token}" \
  --data '{
    "metadata": {
      "altText": "New! Updated recipe, blue oat milk by Fancy Brand"
    }
  }'\
using Moov.Sdk;
using Moov.Sdk.Models.Components;

var sdk = new MoovClient(xMoovVersion: "<value>");

var res = await sdk.Images.UpdateMetadataAsync(
    accountID: "58c3c937-e648-49c5-88be-6225cca35af1",
    imageID: "d957e703-ecd4-48ac-9c14-c0ecf1b496f0",
    body: new ImageMetadataRequest() {}
);

// handle response
package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.ImageMetadataRequest;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.errors.GenericError;
import io.moov.sdk.models.errors.ImageMetadataValidationError;
import io.moov.sdk.models.operations.UpdateImageMetadataResponse;
import java.lang.Exception;

public class Application {

    public static void main(String[] args) throws GenericError, ImageMetadataValidationError, Exception {

        Moov sdk = Moov.builder()
                .xMoovVersion("v2024.01.00")
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

        UpdateImageMetadataResponse res = sdk.images().updateMetadata()
                .accountID("58c3c937-e648-49c5-88be-6225cca35af1")
                .imageID("d957e703-ecd4-48ac-9c14-c0ecf1b496f0")
                .imageMetadataRequest(ImageMetadataRequest.builder()
                    .build())
                .call();

        if (res.imageMetadata().isPresent()) {
            // handle response
        }
    }
}
require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
      x_moov_version: 'v2024.01.00',
    )

res = s.images.update_metadata(account_id: '58c3c937-e648-49c5-88be-6225cca35af1', image_id: 'd957e703-ecd4-48ac-9c14-c0ecf1b496f0', image_metadata_request: Models::Components::ImageMetadataRequest.new())

unless res.image_metadata.nil?
  # handle response
end
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  xMoovVersion: "v2024.01.00",
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.images.updateMetadata({
    accountID: "58c3c937-e648-49c5-88be-6225cca35af1",
    imageID: "d957e703-ecd4-48ac-9c14-c0ecf1b496f0",
    imageMetadataRequest: {},
  });

  console.log(result);
}

run();
declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setXMoovVersion('v2024.01.00')
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$imageMetadataRequest = new Components\ImageMetadataRequest();

$response = $sdk->images->updateMetadata(
    accountID: '58c3c937-e648-49c5-88be-6225cca35af1',
    imageID: 'd957e703-ecd4-48ac-9c14-c0ecf1b496f0',
    imageMetadataRequest: $imageMetadataRequest

);

if ($response->imageMetadata !== null) {
    // handle response
}
from moovio_sdk import Moov
from moovio_sdk.models import components


with Moov(
    x_moov_version="v2024.01.00",
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

    res = moov.images.update_metadata(account_id="58c3c937-e648-49c5-88be-6225cca35af1", image_id="d957e703-ecd4-48ac-9c14-c0ecf1b496f0")

    # Handle response
    print(res)
200 400 401 403 404 409 422 429 500 504
The request completed successfully.
application/json
Metadata about an uploaded image.
{
  "imageID": "string",
  "publicID": "string",
  "altText": "string",
  "link": "https://api.moov.io/images/qJRAaAwwF5hmfeAFdHjIb",
  "createdOn": "2019-08-24T14:15:22Z",
  "updatedOn": "2019-08-24T14:15:22Z",
  "disabledOn": "2019-08-24T14:15:22Z"
}

x-request-id

string required
A unique identifier used to trace requests.
The server could not understand the request due to invalid syntax.
application/json
{
  "error": "string"
}

x-request-id

string required
A unique identifier used to trace requests.
The request contained missing or expired authentication.

x-request-id

string required
A unique identifier used to trace requests.
The user is not authorized to make the request.

x-request-id

string required
A unique identifier used to trace requests.
The requested resource was not found.

x-request-id

string required
A unique identifier used to trace requests.
The request conflicted with the current state of the target resource.
application/json
{
  "error": "string"
}

x-request-id

string required
A unique identifier used to trace requests.
The request was well-formed, but the contents failed validation. Check the request for missing or invalid fields.
application/json
{
  "altText": "string"
}

x-request-id

string required
A unique identifier used to trace requests.
Request was refused due to rate limiting.

x-request-id

string required
A unique identifier used to trace requests.
The request failed due to an unexpected error.

x-request-id

string required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.

x-request-id

string required
A unique identifier used to trace requests.

Headers

X-Moov-Version

string

Specify an API version.

API versioning follows the format vYYYY.QQ.BB, where

  • YYYY is the year
  • QQ is the two-digit month for the first month of the quarter (e.g., 01, 04, 07, 10)
  • BB is the build number, starting at .01, for subsequent builds in the same quarter.
    • For example, v2024.01.00 is the initial release of the first quarter of 2024.

The latest version represents the most recent development state. It may include breaking changes and should be treated as a beta release. When no version is specified, the API defaults to v2024.01.00.

Path parameters

accountID

string required

imageID

string required

Body

application/json
Request body for creating or updating image metadata.

altText

string <=125 characters
Alternative text for the image.

Response

application/json
Metadata about an uploaded image.

createdOn

string<date-time> required

imageID

string required
Unique identifier for a image resource.

link

string<uri> required
A public URL to access the image. An optional size={width}x{height} query parameter can be provided to resize the image.

publicID

string required
The ID used to get an image with the public endpoint.
A unique identifier for an image, used in public image links.

updatedOn

string<date-time> required

altText

string <=125 characters
Alternative text for the image.

disabledOn

string<date-time>